# Changelog

## [integrations/deepeval-v0.1.3] - 2025-05-27

### 🧪 Testing

- Skip tests that require credentials on PRs from forks for some integrations (#1485)

### ⚙️ CI

- Review testing workflows (#1541)

### 🧹 Chores

- Remove Python 3.8 support (#1421)

### 🌀 Miscellaneous

- Remove pin for Deepeval (#1826)

## [integrations/deepeval-v0.1.2] - 2024-11-14

### 🚀 Features

- Implement `DeepEvalEvaluator` (#346)

### 🐛 Bug Fixes

- Fix order of API docs (#447)
- Deepeval - pin indirect dependencies based on python version (#1187)

### 📚 Documentation

- Update paths and titles (#397)
- Update category slug (#442)
- Update `deepeval-haystack` docstrings (#527)
- Disable-class-def (#556)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ CI

- Retry tests to reduce flakyness (#836)
- Adopt uv as installer (#1142)

### 🧹 Chores

- Exculde evaluator private classes in API docs (#392)
- Update ruff invocation to include check parameter (#853)
- Update ruff linting scripts and settings (#1105)

### 🌀 Miscellaneous

- Pin deepeval version (#473)
- Make tests show coverage (#566)
- Refactor tests (#574)
- Remove references to Python 3.7 (#601)
- Chore: add license classifiers (#680)
- Chore: change the pydoc renderer class (#718)
- Ci: install `pytest-rerunfailures` where needed; add retry config to `test-cov` script (#845)

<!-- generated by git-cliff -->
